Start review
POST
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
application/json- body
repo*stringprNumber*integeridempotencyKey?stringLength
1 <= length <= 191forceRefresh?booleansourceThreadId?stringmodel?stringeffort?stringOne of
"none""instant""minimal""low""medium""high""xhigh""max"tier?stringReview tier for this round, including its model, effort, and charge multiplier. Outranks the explicit model and both stored first-review and follow-up defaults. Omitted uses the default for the round's scope.
One of
"low""medium""high"shadow?booleanheadSha?stringLength
40 <= length <= 40projectId?stringmemorySelection?stringOne of
"index""paths""select"ReviewStarted
application/json- response
reviewId*stringrequestId*stringthreadId*stringheadSha*stringadopted*booleansourceRecorded?booleancurl -X POST 'https://api.capy.ai/api/v1/reviews' \ -H 'Content-Type: application/json' \ -d '{ "repo": "string", "prNumber": 0}'{ "reviewId": "string", "requestId": "string", "threadId": "string", "headSha": "string", "adopted": true, "sourceRecorded": true}